"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc0d0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc160>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc1f0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc280>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc310>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc3a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc430>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc4c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc550>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc5e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc670>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc700>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc790>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc820>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc8b0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc940>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcc9d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcca60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbccaf0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbccb80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbccc10>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbccca0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbccd30>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbccdc0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbccee0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbcce50>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbccf70>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1040>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd10d0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1160>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd11f0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1280>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1310>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd13a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1430>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd14c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1550>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd15e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1670>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1700>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1790>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1820>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd18b0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1940>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd19d0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1a60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1af0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1b80>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1c10>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1ca0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1d30>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1dc0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1e50>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1ee0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd1f70>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd50d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5160>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd51f0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5280>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5310>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd53a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5430>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd54c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5550>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5700>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd55e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5790>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5820>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd58b0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5940>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd59d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5af0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5a60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5b80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5c10>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5ca0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5dc0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5d30>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5e50>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5ee0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd5f70>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd7040>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd70d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe77cbd7160>)]
name: str = 'fr_HOCCN'
